設定 Google Pay API

先決條件

開始設定 Google Pay API 之前,請先詳閱下列注意事項與必備條件:

設定專案

如果您還沒有 Android Studio,請先下載並安裝

新增依附元件

Google Pay API 屬於 Google Play 服務的一部分,因此您只要匯入 Google Play 服務程式庫,就能取得所有必要元件。或者,您也可以選擇要自行編譯的 API。

如要匯入整個 Google Play 服務程式庫,請參閱設定 Google Play 服務

如果只想編譯所需的 API,請在應用程式模組中開啟 build.gradle 檔案,並將以下內容新增至依附元件區塊:

dependencies {
    implementation 'com.google.android.gms:play-services-wallet:18.1.1'
    implementation 'com.android.support:appcompat-v7:24.1.1'
}

上方提供的每個版本都是最新版 Google Pay API 程式庫需要的最低版本,您可以為應用程式選擇版本較新的依附元件。如需最新的 Google Pay API 版本資訊,請參閱設定 Google Play 服務。如需關於支援資料庫的最新資訊,請參閱支援資料庫設定

修改資訊清單

如要在應用程式中啟用 Google Pay 功能,必須將下列 Google Pay API meta-data 元素新增到您專案 AndroidManifest.xml 檔案的 <application> 元素中。

<meta-data
    android:name="com.google.android.gms.wallet.api.enabled"
    android:value="true" />